package com.sliit.smartserviceassistant;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class DataModal2 {
    private String vehicle_type;
    private String brand;
    private String model;
    private String engine_type;
    private String mileage_range;
    private String mileage;
    List<Integer> predictedVals=new ArrayList<Integer>();

    public List<Integer> getPredictedVals() {
        return predictedVals;
    }

    public Float getPredicted_data() {
        return predicted_data;
    }

    public void setPredicted_data(Float predicted_data) {
        this.predicted_data = predicted_data;
    }

    private Float predicted_data;

    public void setVehicle_type(String vehicle_type) {
        this.vehicle_type = vehicle_type;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public void setEngine_type(String engine_type) {
        this.engine_type = engine_type;
    }

    public void setMileage_range(String mileage_range) {
        this.mileage_range = mileage_range;
    }



    public void setMileage(String mileage) {
        this.mileage = mileage;
    }

    public void setMake_year(String make_year) {
        this.make_year = make_year;
    }

    public String getVehicle_type() {
        return vehicle_type;
    }

    public String getBrand() {
        return brand;
    }

    public String getModel() {
        return model;
    }

    public String getEngine_type() {
        return engine_type;
    }

    public String getMileage_range() {
        return mileage_range;
    }



    public String getMileage() {
        return mileage;
    }

    public String getMake_year() {
        return make_year;
    }

    private String make_year;

    public DataModal2(String vehicle_type,
                     String brand,
                     String model,
                     String engine_type,
                     String make_year,
                     String mileage_range,
                     String mileage,

                     Float predicted_data

    ) {
        this.vehicle_type=vehicle_type;
        this.brand=brand;
        this.model=model;
        this.engine_type=engine_type;
        this.make_year=make_year;
        this.mileage_range=mileage_range;
        this.mileage=mileage;

        this.predicted_data=predicted_data;



    }
}
